HTTP-RELAY(1)

NAME
http-relay - Relay HTTP requests from local host to a remote host.

DESCRIPTION
usage: http-relay [-h] [-n NUM_THREADS] [-b BUFFER_SIZE] [-t SIGKILL_TIMEOUT]

    [-s] host [port] [local_port] [local_addr]

Relay HTTP requests from localhost to a remote host (act as reverse HTTP proxy).

  positional arguments:

host
    The remote host to connect to (e.g. "cvut.cz")

port
    The remote host's port to connect to (e.g. 80).

local_port
    The local port to be used for the relay. If left out, will be the same as remote port.

local_addr
    Local interface (IP or hostname) to run the relay on. By default, it runs on all IPv4 interfaces (0.0.0.0).

  options:

-h, --help
    show this help message and exit

-n, --num-threads NUM_THREADS
    Number of threads servicing the incoming requests.

-b, --buffer-size BUFFER_SIZE
    Size of the buffer used for reading responses. Generally, a larger buffer should be more efficient, but if it is too large, the local clients may time out before they receive any data.

-t, --sigkill-timeout SIGKILL_TIMEOUT
    If specified, the relay will be sigkilled in this number of seconds.

-s, --sigkill-on-stream-stop
    If True, --sigkill-timeout will not be counted when no requests are active, and during requests, each successful data transmission will reset the timeout. This can be used to detect stale streams if you expect an application to be constantly receiving data.